%define module gnutls

Name:		python-%{module}
Version:	2.0.1
Release:	%mkrel 1
Group:		Sciences/Other
License:	LGPL
Summary:	Python wrapper for the GNUTLS library
Source:		python-gnutls-%{version}.tar.xz
URL:		http://pypi.python.org/pypi/python-gnutls
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:  python-devel
BuildRequires:  python-setuptools

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
This package provides a high level object oriented wrapper around libgnutls,
as well as low level bindings to the GNUTLS types and functions via ctypes.
The high level wrapper hides the details of accessing the GNUTLS library
via ctypes behind a set of classes that encapsulate GNUTLS sessions,
certificates and credentials and expose them to python applications using
a simple API.

%package -n python3-%{module}
Summary: Python wrapper for the GNUTLS library       
Group:          Development/Python
Requires:       python3
BuildArch:      noarch

%description -n python3-%{module}
Python wrapper for the GNUTLS library.


%prep
%setup -q

cp -a . %{py3dir}

%build
%__python setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
rm -rf %buildroot
%__python setup.py install --root=%{buildroot}

pushd %{py3dir}
%{__python3} setup.py install --root %{buildroot}
popd

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc
%{python_sitelib}/%{module}/
%{python_sitelib}/python_%{module}*.egg-info

%files -n python3-%{module}
%doc
%{python3_sitelib}/%{module}/
%{python3_sitelib}/python_%{module}*.egg-info



%changelog
* Mon Sep 07 2015 Ken <lxgator at gmail.com> 2.0.1-1pclos2015
- update

